CheckBoxTreeItem.TreeModificationEvent (JavaFX 17)

Module javafx.controls
Package javafx.scene.control

## Class CheckBoxTreeItem.TreeModificationEvent<T>

- java.lang.Object
- - java.util.EventObject
  - - javafx.event.Event
    - - javafx.scene.control.CheckBoxTreeItem.TreeModificationEvent<T>

- Type Parameters:
    `T` - The type of the value contained within the `value` property.
  All Implemented Interfaces:
    `Serializable`, `Cloneable`
  Enclosing class:
    CheckBoxTreeItem<T>

      public static class CheckBoxTreeItem.TreeModificationEvent<T>
      extends Event

  A TreeModificationEvent class that works in a similar vein to the `TreeItem.TreeModificationEvent` class, in that this event will bubble up the CheckBoxTreeItem hierarchy, until the parent node is null.
  Since:
    JavaFX 2.2
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static EventType<Event>` | `ANY` | Common supertype for all tree modification event types.

    - ### Fields declared in class javafx.event.Event

      `consumed, eventType, NULL_SOURCE_TARGET, target`

    - ### Fields declared in class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeModificationEvent​(EventType<? extends Event> eventType, CheckBoxTreeItem<T> treeItem, boolean selectionChanged)` | Creates a default TreeModificationEvent instance to represent the change in selection/indeterminate states for the given CheckBoxTreeItem instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CheckBoxTreeItem<T>` | `getTreeItem()` | Returns the CheckBoxTreeItem that this event occurred upon.
    `boolean` | `wasIndeterminateChanged()` | Indicates the reason for this event is that the indeterminate state on the CheckBoxTreeItem changed (as opposed to it becoming selected or unselected).
    `boolean` | `wasSelectionChanged()` | Indicates the reason for this event is that the selection on the CheckBoxTreeItem changed (as opposed to it becoming indeterminate).

    - ### Methods declared in class javafx.event.Event

      `clone, consume, copyFor, fireEvent, getEventType, getTarget, isConsumed`

    - ### Methods declared in class java.util.EventObject

      `getSource, toString`

    - ### Methods declared in class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ANY

          public static final EventType<Event> ANY

      Common supertype for all tree modification event types.

  - ### Constructor Detail

    - #### TreeModificationEvent

          public TreeModificationEvent​(EventType<? extends Event> eventType,
                                       CheckBoxTreeItem<T> treeItem,
                                       boolean selectionChanged)

      Creates a default TreeModificationEvent instance to represent the change in selection/indeterminate states for the given CheckBoxTreeItem instance.
      Parameters:
        `eventType` - the eventType
        `treeItem` - the treeItem
        `selectionChanged` - represents whether the selection has changed

  - ### Method Detail

    - #### getTreeItem

          public CheckBoxTreeItem<T> getTreeItem()

      Returns the CheckBoxTreeItem that this event occurred upon.
      Returns:
        The CheckBoxTreeItem that this event occurred upon.

    - #### wasSelectionChanged

          public boolean wasSelectionChanged()

      Indicates the reason for this event is that the selection on the CheckBoxTreeItem changed (as opposed to it becoming indeterminate).
      Returns:
        has the CheckBoxTreeItem's selection changed

    - #### wasIndeterminateChanged

          public boolean wasIndeterminateChanged()

      Indicates the reason for this event is that the indeterminate state on the CheckBoxTreeItem changed (as opposed to it becoming selected or unselected).
      Returns:
        has the CheckBoxTreeItem's indeterminate changed